 
import Async.*;
import org.omg.CosNaming.*;
import org.omg.CORBA.*;
import java.io.*;



public class Client {
    public static void main(String args[]) {
        try {
            // create and initialize the ORB
            ORB orb = ORB.init(args, null);
 
            // get the root naming context
            org.omg.CORBA.Object objRef = orb.resolve_initial_references("NameService");
            NamingContext ncRef = NamingContextHelper.narrow(objRef);

            // resolve the Object Reference in Naming
            NameComponent nc = new NameComponent("Test", "");
            NameComponent path[] = {nc};
            Test testRef = TestHelper.narrow(ncRef.resolve(path));
    
            Semaf xsemaf = new Semaf();
            XNotifiedServant xnotifiedRef = new XNotifiedServant(xsemaf);
            orb.connect(xnotifiedRef);

            // prepare param passing
            BufferedReader stdin =
                  new BufferedReader(new InputStreamReader(System.in));
            String line;
            System.out.print("Waiting time in seconds =");
            line = stdin.readLine();
            int i = Integer.parseInt(line);

            // call the Test server object and print results
            testRef.doSomething(xnotifiedRef, args[0], i);                
            System.out.println("CORBA call returns");
            System.out.println("Wait start");     
            System.out.println("Server answers: " + xsemaf.get()); 
        } 
        catch (Exception e) {
            System.out.println("ERROR : " + e) ;
            e.printStackTrace(System.out);
        }
    }
}

 






